function [TP,FN,FP,TN] = computeSDT_Table(binaryResponse, groundTruthBinary_Response)

signalPresentIndex = (groundTruthBinary_Response==1);
signalNotPresentIndex = (groundTruthBinary_Response==0);

TP = sum(binaryResponse(signalPresentIndex));
FN = sum(binaryResponse(signalPresentIndex)==0);

FP = sum(binaryResponse(signalNotPresentIndex));
TN = sum(binaryResponse(signalNotPresentIndex)==0);


